Subject: Emergency BLANKET Holds 90% of Body Heat (NASA Design)!

From: "The Survival Blanket" <[email-masked]>
Date: Mon, 26 Dec 2016 15:13:34 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.